#
# spec file for package SpiralSynth (Version 0.1.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  fltk fltk-devel gpp libgpp mesa-devel mesasoft xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fltk fltk-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         SpiralSynth
%define prefix	/usr
Summary:      A polyphonic analogue softsynth
Version:      0.1.7
Release:      127
Copyright:	GPL
Group:		Applications/Sound
Source0:	%{name}-%{version}.tar.bz2
Source1:	README.SuSE
URL:		http://www.pawfal.org/SpiralSynth/
BuildRoot:	/tmp/%{name}-%{version}-root

%description
SpiralSynth is a polyphonic analog softsynth.  It plays synth sounds
in real-time in response to MIDI input or keyboard input.
Its GUI is based on FLTK.

Authors:
--------
    Dave Griffiths <dave@blueammonite.f9.co.uk>

SuSE series: snd

%prep
%setup -T -b 0

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 "$RPM_BUILD_ROOT"%{prefix}/bin
install -c -s SpiralSynth "$RPM_BUILD_ROOT"%{prefix}/bin
install -d -m0755 "$RPM_BUILD_ROOT"%{_docdir}/%{name}
install -c -m0644 CHANGES COPYING README "$RPM_BUILD_ROOT"%{_docdir}/%{name}
install -c -m0644 .SpiralPatches.bank "$RPM_BUILD_ROOT"%{_docdir}/%{name}/example.SpiralPatches.bank
install -c -m0644 .Spiralrc "$RPM_BUILD_ROOT"%{_docdir}/%{name}/example.Spiralrc
install -c -m0644 $RPM_SOURCE_DIR/README.SuSE "$RPM_BUILD_ROOT"%{_docdir}/%{name}
# normal check for compressed man pages:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/SpiralSynth
%doc %{_docdir}/%{name}

%changelog -n SpiralSynth
* Wed Sep 19 2001 - tiwai@suse.de
- fixed: added <mesasoft> to neededforbuild, so that shared libGL
  is linked.
  libGL.so.1 will be in requirements.
* Mon Aug 27 2001 - ro@suse.de
- added <fltk-devel> to neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Dec 08 2000 - tiwai@suse.de
- Updated to 0.1.7.
* Tue Nov 14 2000 - tiwai@suse.de
- Initial version: 0.1.6
